Skip to main content
GET
/
v1
/
edges
/
cloud-fleet
List alive cloud edge replicas (shared fleet, readonly)
curl --request GET \
  --url http://0.0.0.0:3000/v1/edges/cloud-fleet \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "name": "<string>",
    "org_id": "<string>",
    "user_id": "<string>",
    "capabilities": {},
    "last_seen_at": "2023-11-07T05:31:56Z",
    "paired_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

List of alive cloud edges

id
integer
name
string
org_id
string | null
user_id
string
location
enum<string>
Available options:
cloud,
home
status
enum<string>
Available options:
pending,
paired,
offline,
online
capabilities
object
last_seen_at
string<date-time> | null
paired_at
string<date-time> | null
created_at
string<date-time>